Subject: Re: [ANNOUNCE] TopGit v0.3

From: Jan Holesovsky <[email-masked]>
Date: Fri, 3 Oct 2008 12:00:28 +0200

Hi Pasky,

On Tuesday 23 September 2008 15:27, Petr Baudis wrote:

>   But if you scenario indeed is totally generic, I'm afraid I don't know
> how to make TopGit remove dependencies, except perhaps for the price of
> massive complexity and massive slowdown (pretty much redoing all the
> history walking etc.). Maybe someone else comes by with a genial
> solution...

Still thinking about this, and I think we [ooo-builders ;-)] could live with 
the ugliest of the ugly way of doing this:  When you have a topgit branch 
t/b1, and would like to undepend it, just

- tg patch t/b1 > save.diff
- commit a reverse of save.diff to t/b1
- tg update everything
- remove t/b1 from all the .topdeps
- commit save.diff to t/b1 again ;-)

Yeah, it creates 2 more commits in t/b1, but that's bearable I think [we do 
disable patches, but not every day ;-)], you still have the history, and you 
are able to add the dependency later again.

What do you think, please?

Regards,
Jan